import sys
sys.path.append("C:/Python26/Lib")
import sqlite3

DID = 35802
OID = 35802

class ResultSet(object):
    def __init__(self, did, oid, sid, density, flow, stop_time, delay,
                 speed, travel_time, vin, vout):
        self.did = did#col0
        self.oid = oid#col1
        self.sid = sid#col2
        self.density = density#col5
        self.flow = flow#col6
        self.stop_time = stop_time#col9
        self.delay = delay#col11
        self.speed = speed#col13
        self.travel_time = travel_time#col8
#        self.vwait = vwait#col21
        self.vin = vin#col23
        self.vout = vout#col25

    def __repr__(self):
        return """cars in: %f, cars out: %f, density: %f, flow: %f, speed: %f,travel_time: %f, stop_time: %f, delay: %f""" % \
            (self.vin, self.vout,self.density,self.flow,self.speed,self.travel_time,self.stop_time,self.delay)

class DatabaseManager(object):
    def __init__(self, db_file):
        self.db_file = db_file
        self.connection = sqlite3.connect(self.db_file)
        self.cursor = self.connection.cursor()
#        print "DatabaseManager initialized..."

    def get_data(self):
#        print "get_data"
        result = self.cursor.execute("SELECT * FROM MISYS")
        result_sets = []
        for r in result:
            # result_set = ResultSet(r[0], r[1], r[2], r[5], r[6],
            #                        r[11], r[13], r[17], r[21], r[23], r[25]])
            result_set = ResultSet(r[0], r[1], r[2], r[5], r[6],r[9],
                                   r[11], r[13], r[7], r[23], r[25])
            result_sets.append(result_set)
        #Uncomment to see all the data available from the result set
#        self.cursor.execute("PRAGMA table_info(MISYS)")
#        print self.cursor.fetchall()
        return result_sets

    def get_result_set(self, did,oid,sid):
        kvirri = str(did), ", ", str(oid), ", ", str(sid)
        print "KVIRRI ", kvirri
        return self.select_kvirri(kvirri)

    def select_kvirri(self,kvirri):
        result = []
        for row in self.cursor.execute("SELECT ", kvirri, "FROM MISYS"):
            result.append(row)
        return result
        
if __name__ == "__main__":
    print "lol"
    dm = DatabaseManager("../test.sqlite")
    dm.get_data()
