class StaticPlan(object):
    def __init__(self,day_of_week, time_of_day,plan):
        self.day_of_week = day_of_week
        self.time_of_day = time_of_day
        self.plan = plan
    
    def __repr__(self):
        return "[%s, %s, %s]" % (self.day_of_week, self.time_of_day, self.plan)

class StaticPlanFactory(object):
    def __init__(self,filename):
        self.filename = filename
        self.file = open(filename,'r')

    def make_static_plans_from_file(self):
        list_of_static_plans = []
        for line in self.file:
            temp = line.split()
            plan = []

            for phase_length in temp[2].split(','):
                plan.append(int(phase_length))

            list_of_static_plans.append(
                StaticPlan(temp[0],temp[1],plan))

        print "list of plans" , list_of_static_plans
        return list_of_static_plans
        
