package main.java.SignalPlanRecommender;

import jcolibri.cbrcore.Attribute;
import jcolibri.cbrcore.CaseComponent;

public class ProblemDescription implements CaseComponent {

	public Friction getFriction() {
		return friction;
	}

	public void setFriction(Friction friction) {
		this.friction = friction;
	}


	public enum WeatherSituation {
		Sunny, Cloudy, Precipitation, Pouring
	}

	public enum Temperature {
		Freezing, Medium, Hot
	}
	
	public enum Friction {
		Dry, Wet, Icy
	}
	
	public enum DayOfWeek {
		Monday, Tuesday, Wednesday, Thursday, Friday, Saturday, Sunday
	}
	
	public enum TimeOfDay {
		Night, Morning, Noon, Afternoon, Evening
	}
	
	public enum Event {
		None, Football, Vacation, Leaving
	}
	
	public enum Season {
		Spring, Summer, Fall, Winter
	}
	

	public Season getSeason() {
		return season;
	}

	public void setSeason(Season season) {
		this.season = season;
	}

	Integer caseID;
//	String date;
	Season season;
	WeatherSituation weatherSituation;
//	TrafficSituation trafficSituation;
	DayOfWeek dayOfWeek;
	TimeOfDay timeOfDay;
	Event event;
	Temperature temperature;
	Friction friction;

	public DayOfWeek getDayOfWeek() {
		return dayOfWeek;
	}

	public void setDayOfWeek(DayOfWeek dayOfWeek) {
		this.dayOfWeek = dayOfWeek;
	}

	public TimeOfDay getTimeOfDay() {
		return timeOfDay;
	}

	public void setTimeOfDay(TimeOfDay timeOfDay) {
		this.timeOfDay = timeOfDay;
	}

	public Event getEvent() {
		return event;
	}

	public void setEvent(Event event) {
		this.event = event;
	}

	public Temperature getTemperature() {
		return temperature;
	}

	public void setTemperature(Temperature temperature) {
		this.temperature = temperature;
	}

	@Override
	public Attribute getIdAttribute() {
		return new Attribute("caseID", this.getClass());
	}
	
//	@Override
//	public String toString() {
//		return "(" + caseID + "; " + date + "; " 
//			+ weatherSituation + "; " + trafficSituation + ")"; 
//	}
//	
	public Integer getCaseID() {
		return caseID;
	}


	public void setCaseID(Integer caseID) {
		this.caseID = caseID;
	}

	public WeatherSituation getWeatherSituation() {
		return weatherSituation;
	}


	public void setWeatherSituation(WeatherSituation weatherSituation) {
		this.weatherSituation = weatherSituation;
	}

	public String toString() {
		return "(CaseID: " + getCaseID() + " Season: " + getSeason() + " DayOfWeek: "
				+ getDayOfWeek() + " TimeOfDay: " + getTimeOfDay() + " Weather: " + getWeatherSituation() 
				+ " Temperature: "	+ getTemperature() + " Friction: " + getFriction() 
				+ " Event: " + getEvent() + ")";
	}
	
}
