create database traffic;
use traffic;

-- drop table DateTimeWeekInformation;
-- create table DateTimeWeekInformation(
--        dateTimeWeekInformation INTEGER NOT NULL,
--        PRIMARY KEY (dateTimeWeekInformation)
-- );
-- insert into DatetimeWeekInformation values(1);


drop table ProblemDescription;
create table ProblemDescription(
       caseID INTEGER NOT NULL,
       season VARCHAR(40),
       dayOfWeek VARCHAR(15),
       timeOfDay VARCHAR(15),
       weatherSituation VARCHAR(15),
       temperature VARCHAR(15),
       friction VARCHAR(15),
       event VARCHAR(15),
       PRIMARY KEY (caseID)
);
insert into ProblemDescription values(1,'Fall','Monday','Night','Precipitation','Medium','Dry','None');
insert into ProblemDescription values(2,'Fall','Monday','Morning','Precipitation','Medium','Wet','None');
insert into ProblemDescription values(3,'Fall','Monday','Noon','Pouring','Medium','Wet','None');
insert into ProblemDescription values(4,'Fall','Monday','Afternoon','Precipitation','Medium','Wet','None');
insert into ProblemDescription values(5,'Fall','Monday','Evening','Precipitation','Medium','Wet','None');

insert into ProblemDescription values(6,'Winter','Monday','Night','Cloudy','Freezing','Wet','Leaving');
insert into ProblemDescription values(7,'Winter','Monday','Morning','Sunny','Freezing','Wet','Leaving');
insert into ProblemDescription values(8,'Winter','Monday','Noon','Precipitation','Freezing','Wet','Leaving');
insert into ProblemDescription values(9,'Winter','Monday','Afternoon','Cloudy','Medium','Wet','Leaving');
insert into ProblemDescription values(10,'Winter','Monday','Evening','Cloudy','Medium','Wet','Leaving');

insert into ProblemDescription values(11,'Summer','Monday','Night','Cloudy','Medium','Dry','Vacation');
insert into ProblemDescription values(12,'Summer','Monday','Morning','Cloudy','Medium','Dry','Vacation');
insert into ProblemDescription values(13,'Summer','Monday','Noon','Sunny','Medium','Dry','Vacation');
insert into ProblemDescription values(14,'Summer','Monday','Afternoon','Sunny','Medium','Dry','Vacation');
insert into ProblemDescription values(15,'Summer','Monday','Evening','Cloudy','Medium','Dry','Football');

insert into ProblemDescription values(16,'Spring','Monday','Night','Cloudy','Freezing','Icy','None');
insert into ProblemDescription values(17,'Spring','Monday','Morning','Precipitation','Freezing','Icy','None');
insert into ProblemDescription values(18,'Spring','Monday','Noon','Precipitation','Medium','Icy','None');
insert into ProblemDescription values(19,'Spring','Monday','Afternoon','Sunny','Medium','Icy','None');
insert into ProblemDescription values(20,'Spring','Monday','Evening','Sunny','Medium','Icy','None');

insert into ProblemDescription values(21,'Winter','Friday','Night','Pouring','Medium','Wet','None');
insert into ProblemDescription values(22,'Winter','Friday','Morning','Cloudy','Medium','Dry','None');
insert into ProblemDescription values(23,'Winter','Friday','Noon','Cloudy','Medium','Dry','None');
insert into ProblemDescription values(24,'Winter','Friday','Afternoon','Precipitation','Medium','Wet','None');
insert into ProblemDescription values(25,'Winter','Friday','Evening','Precipitation','Medium','Wet','None');

insert into ProblemDescription values(26,'Summer','Monday','Night','Cloudy','Medium','Dry','Vacation');
insert into ProblemDescription values(27,'Summer','Monday','Morning','Cloudy','Medium','Dry','Vacation');
insert into ProblemDescription values(28,'Summer','Monday','Noon','Cloudy','Medium','Dry','Vacation');
insert into ProblemDescription values(29,'Summer','Monday','Afternoon','Cloudy','Medium','Dry','Vacation');
insert into ProblemDescription values(30,'Summer','Monday','Evening','Sunny','Medium','Dry','Vacation');

insert into ProblemDescription values(31,'Fall','Thursday','Night','Cloudy','Freezing','Icy','None');
insert into ProblemDescription values(32,'Fall','Thursday','Morning','Sunny','Freezing','Icy','None');
insert into ProblemDescription values(33,'Fall','Thursday','Noon','Precipitation','Freezing','Icy','None');
insert into ProblemDescription values(34,'Fall','Thursday','Afternoon','Cloudy','Medium','Icy','None');
insert into ProblemDescription values(35,'Fall','Thursday','Evening','Cloudy','Medium','Icy','None');

insert into ProblemDescription values(36,'Fall','Saturday','Night','Precipitation','Medium','Wet','None');
insert into ProblemDescription values(37,'Fall','Saturday','Morning','Precipitation','Medium','Wet','None');
insert into ProblemDescription values(38,'Fall','Saturday','Noon','Sunny','Medium','Wet','None');
insert into ProblemDescription values(39,'Fall','Saturday','Afternoon','Sunny','Medium','Dry','None');
insert into ProblemDescription values(40,'Fall','Saturday','Evening','Sunny','Medium','Dry','None');

insert into ProblemDescription values(41,'Fall','Sunday','Night','Cloudy','Medium','Dry','None');
insert into ProblemDescription values(42,'Fall','Sunday','Morning','Cloudy','Medium','Dry','None');
insert into ProblemDescription values(43,'Fall','Sunday','Noon','Cloudy','Medium','Dry','None');
insert into ProblemDescription values(44,'Fall','Sunday','Afternoon','Cloudy','Medium','Dry','None');
insert into ProblemDescription values(45,'Fall','Sunday','Evening','Cloudy','Medium','Dry','None');

insert into ProblemDescription values(46,'Summer','Sunday','Night','Precipitation','Medium','Wet','None');
insert into ProblemDescription values(47,'Summer','Sunday','Morning','Precipitation','Medium','Wet','None');
insert into ProblemDescription values(48,'Summer','Sunday','Noon','Cloudy','Medium','Wet','None');
insert into ProblemDescription values(49,'Summer','Sunday','Afternoon','Sunny','Medium','Dry','None');
insert into ProblemDescription values(50,'Summer','Sunday','Evening','Sunny','Medium','Dry','Football');

insert into ProblemDescription values(51,'Fall','Monday','Night','Cloudy','Freezing','Wet','None');
insert into ProblemDescription values(52,'Fall','Monday','Morning','Sunny','Freezing','Wet','None');
insert into ProblemDescription values(53,'Fall','Monday','Noon','Sunny','Freezing','Wet','None');
insert into ProblemDescription values(54,'Fall','Monday','Afternoon','Sunny','Freezing','Wet','None');
insert into ProblemDescription values(55,'Fall','Monday','Evening','Cloudy','Freezing','Wet','None');

drop table TrafficSituation;
create table TrafficSituation(
       trafficSituationID INTEGER NOT NULL,
       flowNS INTEGER NOT NULL,
       flowSN INTEGER NOT NULL,
       flowEW INTEGER NOT NULL,
       flowWE INTEGER NOT NULL,
       flowToE INTEGER NOT NULL,
       flowToW INTEGER NOT NULL,
       PRIMARY KEY (trafficSituationID)
);
insert into TrafficSituation values(1,70,57,2,7,3,2);
insert into TrafficSituation values(2,581,851,60,29,88,78);
insert into TrafficSituation values(3,706,773,43,50,39,24);
insert into TrafficSituation values(4,1132,664,112,152,52,26);
insert into TrafficSituation values(5,394,373,31,11,24,4);

insert into TrafficSituation values(6,122,74,12,6,6,1);
insert into TrafficSituation values(7,544,751,42,24,78,66);
insert into TrafficSituation values(8,799,759,65,73,58,34);
insert into TrafficSituation values(9,1177,710,114,145,62,18);
insert into TrafficSituation values(10,400,400,31,19,28,9);

insert into TrafficSituation values(11,74,48,3,1,3,1);
insert into TrafficSituation values(12,330,484,28,23,27,28);
insert into TrafficSituation values(13,619,719,31,26,22,9);
insert into TrafficSituation values(14,929,689,78,56,60,12);
insert into TrafficSituation values(15,492,520,177,58,20,4);

insert into TrafficSituation values(16,57,45,5,3,5,1);
insert into TrafficSituation values(17,608,836,37,27,79,85);
insert into TrafficSituation values(18,706,812,48,50,36,27);
insert into TrafficSituation values(19,1178,721,117,145,31,23);
insert into TrafficSituation values(20,510,334,23,26,30,9);

insert into TrafficSituation values(21,86,58,6,1,4,1);
insert into TrafficSituation values(22,562,826,55,37,87,78);
insert into TrafficSituation values(23,763,768,42,52,32,29);
insert into TrafficSituation values(24,1146,721,152,143,37,20);
insert into TrafficSituation values(25,426,406,17,13,18,5);

insert into TrafficSituation values(26,76,78,5,1,5,1);
insert into TrafficSituation values(27,347,506,21,21,27,27);
insert into TrafficSituation values(28,630,774,42,29,32,17);
insert into TrafficSituation values(29,914,651,59,67,20,6);
insert into TrafficSituation values(30,290,304,38,9,27,3);

insert into TrafficSituation values(31,60,54,3,2,7,2);
insert into TrafficSituation values(32,598,801,52,21,155,121);
insert into TrafficSituation values(33,645,679,43,44,63,39);
insert into TrafficSituation values(34,990,665,92,134,69,39);
insert into TrafficSituation values(35,564,473,0,33,38,15);

insert into TrafficSituation values(36,184,189,9,4,9,2);
insert into TrafficSituation values(37,177,137,6,11,3,5);
insert into TrafficSituation values(38,593,801,34,10,15,5);
insert into TrafficSituation values(39,844,630,42,17,35,7);
insert into TrafficSituation values(40,275,341,15,5,18,2);

insert into TrafficSituation values(41,274,248,19,5,6,0);
insert into TrafficSituation values(42,142,124,2,0,1,2);
insert into TrafficSituation values(43,503,511,31,14,17,4);
insert into TrafficSituation values(44,691,537,44,29,25,9);
insert into TrafficSituation values(45,384,395,25,13,18,5);

insert into TrafficSituation values(46,312,221,16,7,8,1);
insert into TrafficSituation values(47,158,117,8,1,5,1);
insert into TrafficSituation values(48,407,438,33,8,24,4);
insert into TrafficSituation values(49,653,559,36,20,31,7);
insert into TrafficSituation values(50,509,512,114,66,20,7);

insert into TrafficSituation values(51,84,51,12,8,8,8);
insert into TrafficSituation values(52,576,853,42,24,169,24);
insert into TrafficSituation values(53,682,802,65,49,45,49);
insert into TrafficSituation values(54,1129,720,114,144,86,144);
insert into TrafficSituation values(55,423,328,31,9,42,9);



--insert into TrafficSituation values();

drop table ProblemSolution;
create table ProblemSolution(
      caseID INTEGER NOT NULL,
      trafficSituationID INTEGER NOT NULL,
      PRIMARY KEY (caseID),
      FOREIGN KEY (trafficSituationID) REFERENCES TrafficSituation(trafficSituationID)
);
insert into ProblemSolution values(1,1);
insert into ProblemSolution values(2,2);
insert into ProblemSolution values(3,3);
insert into ProblemSolution values(4,4);
insert into ProblemSolution values(5,5);

insert into ProblemSolution values(6,6);
insert into ProblemSolution values(7,7);
insert into ProblemSolution values(8,8);
insert into ProblemSolution values(9,9);
insert into ProblemSolution values(10,10);

insert into ProblemSolution values(11,11);
insert into ProblemSolution values(12,12);
insert into ProblemSolution values(13,13);
insert into ProblemSolution values(14,14);
insert into ProblemSolution values(15,15);

insert into ProblemSolution values(16,16);
insert into ProblemSolution values(17,17);
insert into ProblemSolution values(18,18);
insert into ProblemSolution values(19,19);
insert into ProblemSolution values(20,20);

insert into ProblemSolution values(21,21);
insert into ProblemSolution values(22,22);
insert into ProblemSolution values(23,23);
insert into ProblemSolution values(24,24);
insert into ProblemSolution values(25,25);

insert into ProblemSolution values(26,26);
insert into ProblemSolution values(27,27);
insert into ProblemSolution values(28,28);
insert into ProblemSolution values(29,29);
insert into ProblemSolution values(30,30);

insert into ProblemSolution values(31,31);
insert into ProblemSolution values(32,32);
insert into ProblemSolution values(33,33);
insert into ProblemSolution values(34,34);
insert into ProblemSolution values(35,35);

insert into ProblemSolution values(36,36);
insert into ProblemSolution values(37,37);
insert into ProblemSolution values(38,38);
insert into ProblemSolution values(39,39);
insert into ProblemSolution values(40,40);

insert into ProblemSolution values(41,41);
insert into ProblemSolution values(42,42);
insert into ProblemSolution values(43,43);
insert into ProblemSolution values(44,44);
insert into ProblemSolution values(45,45);

insert into ProblemSolution values(46,46);
insert into ProblemSolution values(47,47);
insert into ProblemSolution values(48,48);
insert into ProblemSolution values(49,49);
insert into ProblemSolution values(50,50);

insert into ProblemSolution values(51,51);
insert into ProblemSolution values(52,52);
insert into ProblemSolution values(53,53);
insert into ProblemSolution values(54,54);
insert into ProblemSolution values(55,55);


--insert into ProblemSolution values();

drop table Outcome;
create table Outcome(
      outcomeID INTEGER NOT NULL,
      PRIMARY KEY (outcomeID)
);
insert into Outcome values(1);

-- drop table TrafficCase;
-- create table TrafficCase(
--        problemDescriptionID INTEGER,
--        problemSolutionID INTEGER,
--        outcomeID INTEGER,
--        FOREIGN KEY (problemDescriptionID)
--        REFERENCES ProblemDescription(problemDescriptionID),
--        FOREIGN KEY (problemSolutionID)
--        REFERENCES ProblemSolution(problemSolutionID)
-- );
-- insert into TrafficCase values(1,1,1);