class Case(object):
    def __init__(self, season, day_of_week, time_of_day, weather_situation,
                 temperature, friction, event, demand):
        self.season = season
        self.day_of_week = day_of_week
        self.time_of_day = time_of_day
        self.weather_situation = weather_situation
        self.temperature = temperature
        self.friction = friction
        self.event = event
        self.demand = list(demand.split(','))
        
        #The two first incomming demands are subtracted because of the
        #turning traffic which makes the outgoing traffic flow smaller
        #in that direction
        # self.ns_demand = float(int(self.demand[0])-int(self.demand[4]))
        # self.sn_demand = float(int(self.demand[1])-int(self.demand[5]))
        self.ns_demand = float(int(self.demand[0]))
        self.sn_demand = float(int(self.demand[1]))
        self.ew_demand = float(self.demand[2])
        self.we_demand = float(self.demand[3])
        self.ne_demand = float(self.demand[4])
        self.sw_demand = float(self.demand[5])

        print "ns " ,self.ns_demand
        print "sn ", self.sn_demand
        print "ew ", self.ew_demand
        print "we ", self.we_demand
        print "ne ", self.ne_demand
        print "sw ", self.sw_demand


    def __repr__(self):
        return "%s, %s, %s, %s, %s, %s, %s" % (self.season,
                                               self.day_of_week, self.time_of_day, self.weather_situation, self.friction, self.temperature, self.event)


    def is_weekday(self):
        if (not self.day_of_week == 'Saturday' or not self.day_of_week
            == 'Sunday'):
            return True
        return False

    def is_saturday(self):
        if (self.day_of_week == 'Saturday'):
            return True
        return False

    def is_sunday(self):
        if (self.day_of_week == 'Sunday'):
            return True
        return False
