import socket

class TCPClient(object):
    def __init__(self, address = "localhost", port = 5000):
        self.client_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
        self.client_socket.connect((address, port))

        #Confirmation from server
        self.receive_data()
        
    def receive_data(self):
        rdata = self.client_socket.recv(512)
        print "Received data", rdata
        return rdata

    def send_data(self,sdata):
        print "sdata ",  sdata
        sdata = str(sdata) + "\n"
        print "klient sender data: ", sdata
        self.client_socket.send(sdata)


if __name__ == "__main__":
    client = TCPClient()

    print "klient sender case"
    client.send_data("klient sender case")
    print "klient mottar master signal plan"
    client.receive_data()
    print "klient sender outcome"
    client.send_data("klient sender outcome")

